> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Tail Worker Logs

GET https://api.bigcommerce.com/stores/{store_hash}/v3/infrastructure/logs/{project_uuid}/tail

Opens a server-sent events (SSE) stream that delivers real-time worker logs for a project. The stream includes log messages, request data, and exception information. A keep-alive is sent every 15 seconds. The stream times out after 5 minutes (300 seconds).

Each event is a JSON object delivered as an SSE `data` field. Parse the `data` value as JSON before reading the fields described in the response schema.

If the project cannot be found after the stream opens, the stream delivers a single event whose `data` is `{"error": "The requested project was not found."}` and then closes.

> **Note**: This endpoint is served from the streaming API server, not the main API gateway.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/infrastructure-hosting/logs/tail-worker-logs

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` | | Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` | | Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` | | Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` | | Infrastructure Projects | manage | `store_infrastructure_projects_manage` | | Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `project_uuid` (string, required) — The UUID of the project to tail logs for.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

## Response

### 200

A stream of server-sent events with real-time worker log entries. The `data` attribute is stringified JSON.

- Streaming response of `WorkerLogEvent`.
- `uuid` (string, required) — The unique identifier for this log event.
- `project_uuid` (string, required) — The UUID of the project this log belongs to.
- `logs` (list of WorkerLogEventLogsItems, required) — Log messages associated with this event.
- `exceptions` (list of WorkerLogEventExceptionsItems, required) — Exceptions that occurred during request processing.
- `request` (WorkerLogEventRequest, optional) — HTTP request information associated with this log entry. Omitted when the log event is not tied to an HTTP request.
- `timestamp` (datetime, optional) — The timestamp of the overall log event. Omitted when not available.

## Errors

### 400 Bad Request Error

The project UUID is not a valid UUID.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — A description of the error.
- `type` (string, optional) — A URL identifying the error type.
- `errors` (ErrorResponseErrors, optional) — Additional error details.
- `meta` (map from string to any, optional) — Additional structured context for the error, such as the ownership-verification TXT record to publish, the conflicting `project_uuid`, or the domain `limit` and `current` count.

## Types

### WorkerLogEventLogsItems

- `level` (enum, required) — The severity level of the log message. `unknown` is returned for levels the API does not recognize.
  - Allowed values: `debug`, `info`, `warn`, `error`, `unknown`
- `messages` (list of string, required) — The log message content.
- `timestamp` (datetime, optional) — The timestamp of the log message. Omitted when not available.

### WorkerLogEventExceptionsItems

- `name` (string, required) — The name or type of the exception.
- `message` (string, required) — The exception message.
- `timestamp` (datetime, optional) — The timestamp of the exception. Omitted when not available.

### WorkerLogEventRequest

HTTP request information associated with this log entry. Omitted when the log event is not tied to an HTTP request.

- `method` (string, required) — The HTTP method.
- `url` (string, required) — The request URL.
- `status_code` (integer, required) — The HTTP response status code.

### ErrorResponseErrors

Additional error details.

## Examples

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/logs/project_uuid/tail")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```